As promised, shortly after the PHP team released version 7.1 it is NOW available on all our servers. While speed improvements are not as extreme as with PHP 7.0, they are still existent. If you upgraded your WordPress to version 4.7 already, you can now also switch to PHP 7.1. WordPress 4.6 and lower are NOT compatible with PHP 7.1.

A lot of changes only effect the programmers of you. Detailed migration information can be found here: http://php.net/manual/en/migration71.php